
%define libmajor 1
%define libname %mklibname %{name} %{libmajor}
%define	libname_devel %mklibname %{name} %{libmajor} -d

%define iscanversion 2.30.4

# All sane backends have SONAME libsane.so.1. We do not want
# sane-backends-iscan to provide libsane.so.1, so filter these out.
%define _exclude_files_from_autoprov  %{_libdir}/%{name}/
%define __libtoolize /bin/true

# Setting this makes the /etc/sane.d/dll.conf empty so that scanning apps
# do not search for all existing scanner models which makes their startup
# slow (the user or "scannerdrake" has to insert the names of the really
# installed scanners then)
%define empty_dll_conf 0

%define gphoto2_support 1
%define v4l_support 1
# Switch to disable the compilation of the "primax" backend in case of
# problems
%define primax_support 1
# Switch to disable the compilation of the "epkowa" backend in case of
# problems
%define epkowa_support 0

%ifarch alpha ppc sparc %{arm} %{mips} aarch64
%define primax_support 0
%define epkowa_support 0
%endif

Name:		sane
Version:	1.2.1
Release:	%mkrel 1
Summary:	SANE - local and remote scanner access
# lib/ is LGPLv2+, backends are GPLv2+ with exceptions
# Tools are GPLv2+, docs are public domain
License:	GPLv2+ and GPLv2+ with exceptions and Public Domain and IJG and LGPLv2+ and MIT
Group:		Graphics/Scanning
URL:		http://www.sane-project.org/
# Use the tarball with the sane-backends name and not the one with backends name as the latter needs
# to generate configure & makefile
Source0:	https://gitlab.com/sane-project/backends/uploads/110fc43336d0fb5e514f1fdc7360dd87/%{name}-backends-%{version}.tar.gz
Source3:	https://downloads.sourceforge.net/px-backend/primaxscan-1.1.beta1.tar.bz2
Source5:	saned.socket
Source6:	saned@.service.in
Source9:	https://downloads.sourceforge.net/hp44x0backend/sane_hp_rts88xx-0.18.tar.bz2
Source10:	https://downloads.sourceforge.net/brother-mfc/sane-driver-0.2.tar.bz2
Source11:	http://www.geocities.com/trsh0101/SANE/primascan.h
Source12:	http://www.geocities.com/trsh0101/SANE/primascan.c
# The free part of Epson's scanner driver package IScan, full package
# downloaded from https://download.ebz.epson.net/dsc/search/01/search/?OSC=LX
# Non-free part stripped out with
# mkdir x; cd x; tar -xzf ../iscan_2.30.4-2.tar.gz; rm -f */non-free/*.txt */non-free/*.hh */non-free/*.so; tar -cjf ../iscan-2.30.4-2-free.tar.bz2 *; cd ..; rm -rf x
Source13:	iscan-%{iscanversion}-2-free.tar.bz2
Source14:	https://downloads.sourceforge.net/project/geniusvp2/sane-backend-geniusvp2/1.0.16.1/sane-backend-geniusvp2_1.0.16.1.tar.gz

Patch1:		sane-backends-1.0.18-plustek-s12.patch

# for iscan source
Patch22:	iscan-2.28.1-fix-preserving-lc_ctype.patch
Patch23:	iscan-2.30.4-fix-link.patch
Patch26:	iscan-2.20.1-no_non-free_please.diff
Patch27:	iscan-2.28.1-linkage_fix.patch

# (fc) 1.0.19-12mdv fix group for device
Patch28:	sane-backends-1.0.20-group.patch
# (fc) list Brother MFC-260C, DCP130C as supported (Mdv bug # 52951)
Patch30:	sane-backends-1.0.22-brother2list.patch
Patch31:	sane-backends-1.0.20-strformat.patch
Patch34:	sane-1.0.24-primaxscan-gcc5.patch
# (martinw) allow s-c-p and cups to access the device (mga#17593)
Patch35:	sane-backends-1.0.25-udev-add-lp-group-rw.patch

# Debian patches
# add back SANE_CAP_ALWAYS_SETTABLE which was mistakenly
# removed from SANE 1.0.20
Patch106:	06_cap_always_settable.dpatch

# Fedora patches
Patch200:	sane-backends-1.0.25-udev.patch
# Fedora-specific (for now): don't use the same SONAME for backend libs and main lib
Patch201:	sane-backends-1.0.23-soname.patch
# Fedora-specific (for now): make installed sane-config multi-lib aware again
Patch202:	sane-backends-1.0.23-sane-config-multilib.patch

Requires:	%{libname} = %{version}-%{release}
Requires:	sane-backends = %{version}-%{release}

BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	libieee1284-devel
BuildRequires:	libltdl-devel
BuildRequires:	texlive-texmf
BuildRequires:	gettext-devel
BuildRequires:	libgtk+2.0-devel
BuildRequires:	pkgconfig(libsystemd)
# needed for eSCL backend
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(poppler-glib)

%if %{gphoto2_support}
BuildRequires:	pkgconfig(libgphoto2)
%endif
%if %{v4l_support}
BuildRequires:	libv4l-devel
%endif
%if %{epkowa_support}
BuildRequires:	autoconf
%endif
# pixma backend generates header files during build via python script
BuildRequires:	python3


%description
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.sane-project.org/

This package does not enable sharing scanner on the network by default; 
if you wish to enable it, install the saned package and set up the sane-net backend.

%package -n	%{libname}
Group:		System/Kernel and hardware
License:	LGPLv2+
Summary:	SANE - local and remote scanner access. This package contains the sane library
Provides:	libsane = %{version}-%{release}

%description -n	%{libname}
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.sane-project.org/

This package does not enable sharing scanner on the network by default; 
if you wish to enable it, install the saned package and set up the sane-net backend.

%package -n	%{libname_devel}
Group:		Development/C
License:	LGPLv2+
Summary:	SANE - local and remote scanner access - header and development
Requires:	%{libname} = %{version}
Provides:	libsane-devel = %{version}-%{release}
Provides:	sane-devel = %{version}-%{release}
Obsoletes:	sane-devel < %{version}-%{release}

%description -n	%{libname_devel}
This package contains the headers and development libraries necessary 
to develop applications using SANE.

SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.sane-project.org/


%package	backends
Group:		Graphics/Scanning
License:	LGPLv2+
Summary:	SANE - local and remote scanner access - backends
Provides:	%{name} = %{version}-%{release}
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
%if %{epkowa_support}
Recommends:	iscan
%endif
Recommends:	sane-airscan

%description	backends
This package contains the backends for different scanners.

SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.sane-project.org/

This package does not enable sharing scanner on the network by default; if you wish
to enable it, install the saned package and set up the sane-net backend.


%if %{epkowa_support}
%package	backends-iscan
Group:		Graphics/Scanning
License:	LGPLv2+
Summary:	SANE - local and remote scanner access - iscan backend
Provides:	iscan = %{iscanversion}

%description	backends-iscan
This package contains the iscan backend, in order to not conflict with
manufacturer-supplied packages.

SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.sane-project.org/

This package does not enable sharing scanner on the network by default; if you wish
to enable it, install the saned package and set up the sane-net backend.
%endif

%package	backends-doc
Summary:	Documentation for SANE backends
Group:		Documentation
BuildArch:	noarch

%description	backends-doc
This package contains the SANE backend documentation for different
scanners.

SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.sane-project.org/

This package does not enable sharing scanner on the network by default; if you wish
to enable it, install the saned package and set up the sane-net backend.

%package -n	saned
Group:		Graphics/Scanning
License:	LGPLv2+
Summary:	SANE - local and remote scanner access - network sharing server
Provides:	saned = %{version}-%{release}
Requires:	sane-backends
Requires(pre):	rpm-helper
Requires(post):	rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper

%description -n	saned
This package contains saned, a daemon that allows remote clients to
access image acquisition devices available on the local host.

SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.sane-project.org/


%prep
%setup -q -n sane-backends-%{version}
%patch -P1 -p1 -b .plusteks12
%patch -P28 -p1 -b .group
%patch -P30 -p1 -b .brother2list
%patch -P31 -p1 -b .strformat
%patch -P35 -p1 -b .lp-group-rw

%patch -P106 -p1

# Fedora patches
%patch -P200 -p1 -b .udev
%patch -P201 -p1 -b .soname
%patch -P202 -p1 -b .sane-config-multilib

# Primax parallel port scanners
%if %{primax_support}
%setup -q -T -D -a 3 -n sane-backends-%{version}
%patch -P34 -p1 -b .gcc5
%endif

# "primascan" backend 
cat %{SOURCE11} > backend/primascan.h
cat %{SOURCE12} > backend/primascan.c
echo '#primascan' >> backend/dll.conf.in

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
%setup -q -T -D -a 13 -n sane-backends-%{version}
%endif

# lib64 fixes (avoid patch)
# NOTE: don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /LDFLAGS=.*with_ptal/" configure
perl -pi -e "s@/lib/@/%_lib/@" primaxscan*/configure

# Reduce number of retries done by the "snapscan" backend when accessing
# the scanner
perl -p -i -e 's:for \(retries = 20; retries; retries--\):for (retries = 5; retries; retries--):' backend/snapscan-scsi.c

%if %{epkowa_support}
pushd iscan-%{iscanversion}
%patch -P22 -p0 -b .fix-preserving-lc_ctype
%patch -P23 -p0 -b .iscan-2.10.0-1_fix_link
%patch -P26 -p0 -b .no_non-free_please
%patch -P27 -p2 -b .linkage_fix
popd
%endif

# Remove the backend/dll.conf file generated by the patches, it prevents
#	the Makefile from generating  the real dll.conf file
rm -f backend/dll.conf


%build
#autoreconf -fi
%configure \
  --disable-rpath \
%if !%{gphoto2_support}
  --without-gphoto2 \
%endif
  --with-systemd \
  --enable-pthread \
  --with-usb

%make_build

# Primax parallel port scanners
%if %{primax_support}
chmod a+rx tools/sane-config
pushd primaxscan*
PATH=`pwd`/../tools:${PATH}
CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -fPIC -I`pwd`/../include -L`pwd`/../backend/.libs/"\
%configure
%make_build
%make_build primax_scan
popd
%endif

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
chmod a+rx tools/sane-config
PATH=`pwd`/tools:${PATH}
pushd iscan-%{iscanversion}
cp -f /usr/share/aclocal/libtool.m4 m4/.
autoreconf -fi
export CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/ -fPIC -I/usr/include/libusb-1.0/"
export CXXFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/ -fPIC -I/usr/include/libusb-1.0/"
export LDFLAGS="%{?ldflags} -lusb-1.0"
%configure --disable-frontend
%make_build
popd
%endif

%install
%make_install

# Create missing lock dir
install -d %{buildroot}/var/lib/lock/sane

perl -pi -e "s/installed.*/installed=yes/g" %{buildroot}%{_libdir}/libsane.la
/sbin/ldconfig -n %{buildroot}%{_libdir} %{buildroot}%{_libdir}/sane

# Comment out entry for the "geniusvp2" backend in
# /etc/sane.d/dll.conf as it makes SANE hanging on some systems when
# the appropriate scanner is not present
perl -p -i -e 's/^(\s*geniusvp2)/\#$1/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

%if %{empty_dll_conf}
# The /etc/sane.d/dll.conf contains lines for every backend, so every
# backend probes for a scanner when a SANE frontend (e. g. xsane) is
# started. With this the user has always to wait around one minute
# before he can scan. We simply replace the file by a nearly empty one
# and let scannerdrake only insert the needed backends. So the
# frontends will start immediately
mv %{buildroot}%{_sysconfdir}/sane.d/dll.conf %{buildroot}%{_sysconfdir}/sane.d/dll.conf.orig
cat > %{buildroot}%{_sysconfdir}/sane.d/dll.conf <<EOF
# enable the next line if you want to allow access through the network:
net
EOF
%endif

# Move specific documentation to sane-backends-doc
install -d %{buildroot}%{_docdir}/sane-backends-doc/
pushd %{buildroot}%{_docdir}/sane-backends
mv `find -mindepth 1 -type d` *.html *.txt %{buildroot}%{_docdir}/sane-backends-doc/
popd

# Primax parallel port scanners
%if %{primax_support}
pushd primaxscan*
%make_install
rm -f %{buildroot}%{_libdir}/sane/libsane-primax.a
cp primax_scan %{buildroot}%{_bindir}
popd
%endif

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
pushd iscan-%{iscanversion}
%make_install
rm -f %{buildroot}%{_libdir}/sane/libsane-epkowa.a
rm -f %{buildroot}%{_mandir}/man1/iscan.1*
rm -rf %{buildroot}%{_libdir}/iscan
cp backend/epkowa.conf %{buildroot}%{_sysconfdir}/sane.d/
# Create the file which enable epkowa backend instead of modifying dll.conf
echo 'epkowa' >> %{buildroot}%{_sysconfdir}/sane.d/dll.d/epkowa.backend
popd
%endif

install -Dpm644 %{_sourcedir}/saned.socket %{buildroot}%{_unitdir}/saned.socket
install -Dpm644 %{_sourcedir}/saned@.service.in %{buildroot}%{_unitdir}/saned@.service
sed -i -e 's|@CONFIGDIR@|%{_sysconfdir}/sane.d|g' %{buildroot}%{_unitdir}/saned@.service

# udev rules for libusb user support
mkdir -p %{buildroot}%{_prefix}/lib/udev/rules.d
install -m644 tools/udev/libsane.rules %{buildroot}%{_prefix}/lib/udev/rules.d/60-libsane.rules
# Shorten too long comments
perl -p -i -e 's/(\#.{500}).*$/$1 .../' %{buildroot}%{_prefix}/lib/udev/rules.d/60-libsane.rules

# enable eSCL backend on update even if dll.conf is not replaced
# which is the case if it's modified (e.g. if you install hplip)
echo -e '#this file enable eSCL backend\nescl' > %{buildroot}%{_sysconfdir}/sane.d/dll.d/escl.backend

%find_lang sane-backends
sed -i '/^%dir/d' sane-backends.lang

find %{buildroot} -name '*.la' | xargs rm

%post -n saned
%systemd_post saned.socket

%pre -n saned
# Add saned to group scanner, cdwriter and usb for scanner access.
/usr/sbin/useradd -r -M -s /bin/false -d /etc/sane.d -c "system user for saned" saned -G cdwriter,usb,scanner || :

%preun -n saned
%systemd_preun saned.socket

%postun -n saned
%systemd_postun_with_restart saned.socket

%pre backends
%_pre_groupadd scanner

%files backends -f sane-backends.lang
%doc %{_docdir}/sane-backends
%{_bindir}/sane-find-scanner
%{_bindir}/scanimage
%{_bindir}/gamma4scanimage
%{_bindir}/umax_pp
%if %{primax_support}
%{_bindir}/primax_scan
%endif
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%dir %{_sysconfdir}/sane.d
%dir %{_sysconfdir}/sane.d/dll.d
%config(noreplace) %{_sysconfdir}/sane.d/*.conf
%config %{_sysconfdir}/sane.d/dll.d/escl.backend
%{_prefix}/lib/udev/rules.d/*-libsane.rules
%attr(1777,root,root) %dir /var/lib/lock/sane
%if %{epkowa_support}
# iscan files
%exclude %{_sysconfdir}/sane.d/epkowa.conf
%exclude %{_mandir}/man5/sane-epkowa.5*
%endif

%if %{epkowa_support}
%files backends-iscan
%{_libdir}/sane/libsane-epkowa.*
%config %{_sysconfdir}/sane.d/dll.d/epkowa.backend
%{_sysconfdir}/sane.d/epkowa.conf
%{_mandir}/man5/sane-epkowa.5*
%{_mandir}/man8/iscan-registry.*
%endif

%files backends-doc
%doc %{_docdir}/sane-backends-doc

%files -n %{libname}
%{_libdir}/*.so.%{libmajor}{,.*}
%dir %{_libdir}/sane
%{_libdir}/sane/*.so.*
%if %{epkowa_support}
%exclude %{_libdir}/sane/libsane-epkowa.*
%endif

%files -n %{libname_devel}
%{_bindir}/sane-config
%{_libdir}/*.so
%{_libdir}/sane/*.so
%{_includedir}/sane
%{_libdir}/pkgconfig/sane-backends.pc
%if %{epkowa_support}
%exclude %{_libdir}/sane/libsane-epkowa*
%endif

%files -n saned
%{_sbindir}/*
%{_mandir}/man8/saned*
%{_unitdir}/saned.socket
%{_unitdir}/saned@.service


%changelog
* Fri Jan 26 2024 julien <julien> 1.2.1-1.mga10
+ Revision: 2035244
- new version 1.2.1
- temporarily disable epkowa backend which doesn't build
- update syntax of %%patch

* Mon Dec 12 2022 ns80 <ns80> 1.1.1-4.mga9
+ Revision: 1921110
- rebuild for new libtiff

* Sat Oct 08 2022 julien <julien> 1.1.1-3.mga9
+ Revision: 1895454
- use pushd/popd consistently
- simplify handling of documentation
- drop obsolete patch206
- stop modifying dll.conf for epkowa backend, drop a file in dll.d instead
- enable eSCL in all cases, even if dll.conf isn't replaced
- drop obsolete replacement during install
- modernize a bit udev rules path

* Wed Sep 14 2022 julien <julien> 1.1.1-2.mga9
+ Revision: 1888817
- improve summary of individual packages
- try to improve readability of description
- drop very old conflict and configuration from pre-mageia era
- add recommends on sane-airscan to enable WSD scanner and improve eSCL support
- correct language regarding network scanning:
  	+ discover and scan on the network is enabled by default
  	+ sharing a local scanner on the network need saned
- update path to reflect /usr unification
- drop buildconflict with resmgr, it was never packaged in mageia
- simplify BR a bit

* Wed Sep 07 2022 julien <julien> 1.1.1-1.mga9
+ Revision: 1885030
- new version 1.1.1
- drop patch 203, merged upstream
- add BR on avahi, poppler-glib to enable escl support

* Mon Apr 04 2022 umeabot <umeabot> 1.0.32-2.mga9
+ Revision: 1843526
- Mageia 9 Mass Rebuild

* Tue Mar 09 2021 daviddavid <daviddavid> 1.0.32-1.mga9
+ Revision: 1700777
- new version: 1.0.32
- several Epson devices cannot scan because they fail to set focus (fed#1934308)
- python3 is now needed for building pixma backend

* Fri Jan 01 2021 martinw <martinw> 1.0.31-3.mga8
+ Revision: 1667583
- new iscan backend version 2.30.4

* Mon Dec 28 2020 martinw <martinw> 1.0.31-2.mga8
+ Revision: 1664438
- fix iscan to properly preserve locale settings (mga#27934)

* Fri Aug 28 2020 daviddavid <daviddavid> 1.0.31-1.mga8
+ Revision: 1619322
- new version: 1.0.31

* Sun Jun 07 2020 neoclust <neoclust> 1.0.30-1.mga8
+ Revision: 1590872
- New version 1.0.30

* Sun Feb 16 2020 umeabot <umeabot> 1.0.28-2.mga8
+ Revision: 1536554
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Oct 18 2019 zezinho <zezinho> 1.0.28-1.mga8
+ Revision: 1454515
- add fedora patches as they seem to make sense for mageia
- new version 1.0.28

* Thu Apr 04 2019 daviddavid <daviddavid> 1.0.27-4.mga7
+ Revision: 1385792
- add upstream patch to fix regression in the mustek_usb2 backend
- fix license

* Sat Jan 19 2019 wally <wally> 1.0.27-3.mga7
+ Revision: 1358102
- use systemd socket/service instead of xinetd
- drop _postun_(user,group)del scriptlets as they don't actually do anything

* Mon Jan 14 2019 luigiwalser <luigiwalser> 1.0.27-1.mga7
+ Revision: 1356771
- 1.0.27
- remove patches 33, 113
- add patches 204 and 205 from fedora
- BR libpng-devel for PNG scanning support
- remove upstreamed CVE-2017-6318 patch

* Sun Sep 23 2018 umeabot <umeabot> 1.0.25-7.mga7
+ Revision: 1300924
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.0.25-6.mga7
+ Revision: 1233893
- fix build on aarch64

* Mon May 08 2017 martinw <martinw> 1.0.25-5.mga6
+ Revision: 1099725
- add rw access for the lp group in the udev rule file
  o this enables s-c-p and cups to use all-in-one devices (mga#17593)

* Tue Apr 25 2017 neoclust <neoclust> 1.0.25-4.mga6
+ Revision: 1097360
- Add P1000 - Fixes CVE-2017-6318 (mga#20450)

* Fri Mar 10 2017 akien <akien> 1.0.25-3.mga6
+ Revision: 1091634
- Rebuild for v4l-utils 1.12.3

* Sat Mar 05 2016 blino <blino> 1.0.25-2.mga6
+ Revision: 985892
- fix removing primaxscan .a file on x86_64
- fix plugin install path for primaxscan on x86_64
- add back libtool.m4 copy for iscan, like bootstrap script did
- iscan: use autoreconf instead of bootstrap script, no need to patch ltmain.sh to force soname to libsane
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 zezinho <zezinho> 1.0.25-1.mga6
+ Revision: 895272
- new version 1.0.25 - some obsoletes patches disabled

* Thu Sep 24 2015 blino <blino> 1.0.24-14.mga6
+ Revision: 882536
- fix link of libsane-epkowa (needs libusb-1.0)
- do not buildrequire self

* Mon Sep 14 2015 zezinho <zezinho> 1.0.24-13.mga6
+ Revision: 879479
- enable epson backend again in dll.conf #5376

* Mon Sep 14 2015 blino <blino> 1.0.24-12.mga6
+ Revision: 879020
- drop epkowa/iscan lang files, they are installed only when frontends are built
- fix build of primaxscan with gcc5 (new inline semantics)
- fix build with systemd (upstream patches) and avoid BuildConflicts

* Wed Aug 05 2015 shlomif <shlomif> 1.0.24-11.mga6
+ Revision: 861255
- Add missing patch
- Fix MGA#15413 (patch thx to ysoft): USB3/xhci problems.

* Sun Feb 22 2015 anaselli <anaselli> 1.0.24-10.mga5
+ Revision: 816415
- rebuilt for new libgphoto2

* Fri Dec 05 2014 juergen_harms <juergen_harms> 1.0.24-9.mga5
+ Revision: 801601
- Fix BuildRequires: pkgconfig(sane-backends), pkgconfig(libusb-1.0)
- Fix bugzilla 11690: enhance to use libusb1.0 (both backend and epkowa parts)
+ ennael <ennael>
- revert require for now as it seems it should work without it
- Fix bogus require

* Mon Oct 27 2014 ennael <ennael> 1.0.24-8.mga5
+ Revision: 793931
- add missing require on libgphoto6

* Wed Oct 15 2014 umeabot <umeabot> 1.0.24-7.mga5
+ Revision: 747445
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.24-6.mga5
+ Revision: 689028
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 18 2014 remmy <remmy> 1.0.24-5.mga5
+ Revision: 665079
- Change home directory of system saned user (mga#3573)

* Sat Jul 05 2014 pterjan <pterjan> 1.0.24-4.mga5
+ Revision: 643786
- Replace libusb*-devel BuildRequires by better ones

* Mon Oct 21 2013 umeabot <umeabot> 1.0.24-3.mga4
+ Revision: 539690
- Mageia 4 Mass Rebuild

* Sat Oct 19 2013 blino <blino> 1.0.24-2.mga4
+ Revision: 533729
- add saned to the scanner group since USB scanner devices are owned by this group

* Mon Oct 07 2013 luigiwalser <luigiwalser> 1.0.24-1.mga4
+ Revision: 492784
- 1.0.24
- remove upstreamed patch 205

* Fri Apr 26 2013 colin <colin> 1.0.23-7.mga3
+ Revision: 411297
- Really fix the rpm-helper requires (mga#7987)

* Fri Apr 26 2013 colin <colin> 1.0.23-6.mga3
+ Revision: 411291
- Add rpm-helper requires for sane-backend pkg (mga#7987)

* Fri Apr 26 2013 colin <colin> 1.0.23-5.mga3
+ Revision: 411287
- Ensure 'scanner' group exists (needed for udev rules mga#7987)

* Mon Jan 14 2013 umeabot <umeabot> 1.0.23-4.mga3
+ Revision: 381692
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.0.23-3.mga3
+ Revision: 339594
- patch33: enable pthreads for the backends that depend on it without changing other backends

* Wed Oct 17 2012 fwang <fwang> 1.0.23-2.mga3
+ Revision: 307411
- update rpm group

* Sat Sep 08 2012 dmorgan <dmorgan> 1.0.23-1.mga3
+ Revision: 290342
- New version
  Remove merged/unused patches

* Sun Aug 05 2012 anssi <anssi> 1.0.22-8.mga3
+ Revision: 278550
- do not Provide "sane" in saned package, it doesn't make sense and it is
  already provided by sane-backends

* Mon Mar 12 2012 colin <colin> 1.0.22-7.mga2
+ Revision: 222831
- Add Brother DCP-153C scanner support (mga#3698)
- Add Brother DCP-J125 scanner support (mga#3698)
- Fix udev rules install location (should be in /lib/udev/rules.d/)

* Fri Dec 23 2011 fwang <fwang> 1.0.22-5.mga2
+ Revision: 186549
- new version of iscan
  rediff iscan patches
- rebuild for new libtiff

* Thu Sep 29 2011 fwang <fwang> 1.0.22-4.mga2
+ Revision: 150233
- tighten br

* Wed Sep 21 2011 fwang <fwang> 1.0.22-3.mga2
+ Revision: 146275
- put into correct place
- drop .la files
+ dlucio <dlucio>
- P33:MP495 support

* Thu Mar 17 2011 dmorgan <dmorgan> 1.0.22-1.mga1
+ Revision: 73175
- Update to sane 1.0.22
  Add fedora patches

* Thu Jan 20 2011 ahmad <ahmad> 1.0.21-7.mga1
+ Revision: 25540
+ rebuild (emptylog)

* Wed Jan 19 2011 ahmad <ahmad> 1.0.21-6.mga1
+ Revision: 24948
- drop old/unneeded scriptlets
- use generic sane-backends requires
- imported package sane

